(height, percent, charge, low, lbr, m_color, b_color) {
	function draw( radius ) {
		if ( radius == 0 ) {
			ctx.drawImage(canvas_draw, i*(2*r+m), y);
		}
		else {
			ctx_draw.clearRect( 0, 0, r*2, r*2);
			ctx_draw.lineWidth = line_Width;
			ctx_draw.strokeStyle = "rgb(" + b_color.slice(0, 3).join()+ ")";
			ctx_draw.fillStyle = "rgb(" + m_color.join()+ ")";
			ctx_draw.beginPath();
			ctx_draw.arc( r, r, radius , 0, 2*Math.PI );
		}
	}
	var line_Width = 1;
	var r = height / 5;
	var s = 1;
	s += line_Width ;
	var m = height / 12;
	
	var canvas_draw = document.createElement("canvas");
	canvas_draw.height = r * 2;
	canvas_draw.width = canvas_draw.height;
	var ctx_draw  = canvas_draw.getContext("2d");
	
	var canvas = document.createElement("canvas");
	canvas.height = height / 2;
	canvas.width = 2*r * 5 + m*4;
	var ctx  = canvas.getContext("2d");
	var p_Center = height / 4 ;
	var y = p_Center - r ;
	
	for ( i = 0 ; i < 5 ; i++ ){
		draw( r-line_Width/2 );
		ctx_draw.stroke();
		draw( 0 );
		if ( i+1 <= percent/20 ) {
			draw( r-s );
			ctx_draw.fill();
			draw( 0 );
		}
		else if ( i < percent/20 ) {
			var rectWidth = 2*(r-s) * (percent%20) / 20;
			draw( r-s );
			ctx_draw.save();
			ctx_draw.clip();
			ctx_draw.fillRect( s, s, rectWidth, 2*(r-s) );
			draw( 0 );
			ctx_draw.restore();
		}
	}
	
	return canvas.toDataURL("image/png");
}